/*
*************************************************************************
* DUMPSEGY.H: Header file for DSGYLIB.C
*
*              VERSION: V1.0
*          ORIGIN DATE: 12/8/92
*             COMPILER: BORLAND C/C++ V3.1
* MODIFICATION HISTORY:
*
*               AUTHOR: F.N. ZIHLMAN, USGS
*                       BRANCH OF PETROLEUM GEOLOGY, GEOPHYSICS GROUP
*                       P.O. BOX 25046, MS 960
*                       DENVER, CO 80225
*                       303-236-5741
*************************************************************************
*/

#include <stdio.h>
#include <ctype.h>
#include <string.h>

#ifndef SEGYLIBH_H
#define SEGYLIBH_H
#include "segylibh.h"
#endif

/*
#define UNIX_SYSTEM 1
*/
#define DOS_SYSTEM  1

#define VERSION 1.00

/*
***********************************************************************
* DATA STRUCTURES USED
***********************************************************************
*/

typedef struct
	{
	  FILE  *pSegYIn;
	  char  filePath[61];
	  char  fileName[13];
	  float sampleRate;
	  int   numberOfSamples;
	  int   maxTime;
	  long   bytesPerTrace;
	  long  bytesInFile;
	  long  tracesInFile;
	} FILE_INFO;

typedef struct cmdLine
{
  FILE *inputFile,*outputFile;
  int  e,b,t,v,n,c,r;
  long firstTrace,lastTrace,increment;
  char outputFileName[81];
}CMDLINE;

/*
** ---------------------------------------------------------------
** Function prototypes
** ---------------------------------------------------------------
*/
void Usage(void);
void GetCmdLine(CMDLINE *, int, char **);
void Continue(void);
void PrintFileInfo(CMDLINE *,FILE_INFO *);
void PrintEBCDICHeader(FILE *,EBCDIC *);
void PrintBinaryHeader(FILE *, BINHEADER *);
void PrintTraceHeader(FILE *,TRCHEADER *,long,long);
void PrintSamples(CMDLINE *,unsigned char *);
